.main.container {
    margin-top: 30px;
}

.hidden {
    display: none;
}

.queues-grid {
    display: grid;
    grid-template-columns: min-content 1fr repeat(4, min-content);
    gap: 0px;
    align-items: center;
    margin-top: 50px;
    border: 2px solid #999;
}

.queues-grid > div {
    height: 40px;
    padding: 10px;
    border-bottom: 1px solid #ccc;
    border-right: 1px solid #ccc;
}

.queues-grid > div.queues-grid-header {
    white-space: nowrap;
    font-weight: bold;
    border-bottom: 2px solid #999;
}

.semaphore > span {
    position: relative;
    overflow: hidden;
    width: 20px;
    height: 20px;
    display: inline-block;
    left: calc(50% - 10px);
}

.semaphore > span::before {
    background-image: url("/assets/images/status.jpg");
    content: "";
    position: absolute;
    width: 19px;
    height: 19px;
    /* top: -50%; */
    /* left: 0px; */
    z-index: -1;
    background-size: cover;
    background-repeat: no-repeat;
}

.semaphore.semaphore-up > span::before {
    background-position: -43px center;
}

.semaphore.semaphore-down > span::before {
    background-position: -22px center;
}

.consumer-controls {
    margin-top: 30px;
    display: flex;
    gap: 10px;
    justify-content: center;
}

a.btn {
    color: white !important;
    text-decoration: none;
}

.btn-primary {
    background-color: #14a71b;
    border-color: #14a71b;
}

.btn-primary:hover,
.btn-primary:disabled {
    background-color: #148b1a;
    border-color: #148b1a;
}

.shell-response {
    margin-top: 30px;
    padding: 10px;
    border: 1px solid #ccc;
    background-color: #000;
}
.shell-response pre {
    padding: 10px;
    border: 1px solid #ccc;
    background-color: #000;
    white-space: pre-wrap;
    font-family: monospace;
    font-size: 10px;
    color: #fff;
    margin: 0;
}
